# $Revision: 1.11 $, $Date: 2006/12/18 23:49:17 $
Summary:	A laptop battery monitor for the KDE
Summary(pl):	Monitor baterii laptopa dla KDE
Name:		kthinkbat
Version:	0.2.3
Release:	5
License:	GPL
Group:		Applications/Networking
Source0:	http://lepetitfou.dyndns.org/download/kthinkbat/src/kthinkbat-0.2.x/%{name}-%{version}.tar.bz2
# Source0-md5:	edea76c527e7a89da92da14578c2be68
Patch0:		%{name}-assert.patch
Patch1:		kde-am.patch
Patch2:		kde-ac260-lt.patch
URL:		https://lepetitfou.dyndns.org/wiki/view/Werkstatt/KThinkBat
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautoreq      libtool(.*)

%description
A laptop battery monitor for the KDE. Additionally, KThinkBat shows
the current power consumption of the laptop, brings support for a
second battery and its layout is highly customizable.

Features of KThinkBat:
- display of current battery fuel in percent and visual as gauge
- display of the current online/offline state
- display of the current power consumption in W (or A on Asus Laptops)
- optional use of the ThinkPad SMAPI BIOS through the sysfs interface
  provided by the tp_smapi driver (automatically detected)
- batteries can be display separatelly or in an combined/summarized
  view
- complete customizable layout including positions, sizes, color,
  fonts, values.

%description -l pl
Monitor baterii laptopa dla KDE. Oprcz tego KThinkBat pokazuje
aktualny pobr energii przez laptopa, dodaje obsug drugiej baterii,
a jego wygld jest w duej mierze konfigurowalny.

Moliwoci KThinkBata:
- wywietlanie aktualnego stanu naadowania baterii w procentach i
  wizualnie jako licznika
- wywietlanie aktualnego stanu online/offline
- wywietlanie aktualnego poboru energii w watach (lub amperach na
  laptopach Asusa)
- opcjonalnie uywa BIOS-u SMAPI ThinkPadw poprzez interfejs sysfs
  udostpniony przez sterownik tp_smapi (automatycznie wykrywany)
- baterie mog by wywietlane oddzielnie lub cznie
- w peni konfigurowalny wygld, wcznie z pooeniem, rozmiarami,
  kolorami, fontami, wartociami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -f admin/Makefile.common cvs
%configure \
	--libdir=%{_libdir}/kde3 \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	kde_htmldir=%{_datadir}/doc/kde/HTML \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%{_libdir}/kde3/*.la
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/config.kcfg/*.kcfg
%{_iconsdir}/hicolor/*/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kthinkbat.spec,v $
Revision 1.11  2006/12/18 23:49:17  adamg
- apply kde-ac260-lt.patch (makes the software work when using
  autoconf-2.60) - thanks glen
- release 5

Revision 1.10  2006/12/03 15:17:54  arekm
- rel 4; noautoreq libtool stuff

Revision 1.9  2006/11/30 09:37:52  arekm
- apply am patch

Revision 1.8  2006/11/24 00:09:51  adamg
- refresh autothingies; rel. 2

Revision 1.7  2006/11/18 14:32:30  adamg
- updated to 0.2.3

Revision 1.6  2006/09/09 14:52:42  adamg
- updated to 0.2.0 (polish translation included)

Revision 1.5  2006/07/26 18:46:47  qboosh
- use _iconsdir macro

Revision 1.4  2006/07/26 15:03:37  adamg
- updated to 0.1.7; polish translation added

Revision 1.3  2006/07/26 14:25:18  adamg
- updated to 0.1.6

Revision 1.2  2006/04/15 21:43:15  qboosh
- pl

Revision 1.1  2006/04/10 17:12:45  arekm
- new, battery status for kde (nice for thinkpad users)
